Subject: Re: [RFC] New commit object headers: note headers

From: Jakub Narebski <[email-masked]>
Date: Mon, 11 Feb 2008 11:08:30 +0100

On Sunday, 10 February 2008, Johannes Schindelin wrote:
> On Sun, 10 Feb 2008, Jakub Narebski wrote:
> 
>> Still I think it is would be nice to have original commit id in a header 
>> when importing from foreign SCM. First, it would not pollute commit 
>> message, which would be identical with the original commit message 
>> (which allows easy two-way interaction). Second, it is much easier and 
>> much less error prone to extract it by machine.
> 
> I cannot agree to either reason.  It is _not_ a git specific header, so it 
> does not belong in the commit header.

Well, that, and the fact that the same commit imported using two
different tools, one using this header and one didn't would result
in different commit object... although if they differ in adding
original revision id to the commit message commit objects would
differ too.

> Also, I find it does not clutter the commit message _at all_, but adds 
> information that the user might find useful.

Revisions ids can be long, and together with prefix introducing
original SCM revision identifier be longer than customary 80
characters.

Besides, "git cherry-pick" was changed to _not_ add information
about original commit id by default. Shouldn't this apply also
for import?

> Lastly, I cannot see _any_ reason why it should be _easier_ or _less error 
> prone_ to put an "original commit id" into the commit header than into the 
> commit body.

Well, if commit message talks about foreign commit IDs...

-- 
Jakub Narebski
Poland